Description

History

#1 - 01/27/2017 11:08 AM - Greg Shah

Implement both the getter and setter for this attribute, as well as the backing runtime support needed.

I believe that the getter will need to read the associated window's state and map that into the ABL constants.

On the setter, I think the approach should be to fire the event associated with the state change required.

If you can implement the conversion and runtime stubs quickly (as early today as possible), then it will allow me to go forward with the work I have

which is dependent.

#2 - 01/27/2017 11:28 AM - Hynek Cihlar

OK, I'm on it.

#3 - 01/27/2017 12:01 PM - Hynek Cihlar

Greg, I had created task branch 3232a, but if you want the changes to go elsewhere please let me know.

#4 - 01/27/2017 12:03 PM - Greg Shah

Please put everything in 3209e.

#5 - 01/27/2017 12:23 PM - Hynek Cihlar

WINDOW-STATE conversion so far without proper runtime support checked in to 3209e.

#6 - 01/27/2017 12:32 PM - Hynek Cihlar

Hynek Cihlar wrote:

WINDOW-STATE conversion so far without proper runtime support checked in to 3209e.

 

I didn't mention that the checked in version is yet without the window state compiler constants.
#7 - 01/27/2017 01:19 PM - Hynek Cihlar

The support for window state literals was almost complete, I only added the WINDOW-DELAYED-MINIMIZE. Checked it in 3209e.

Greg, I think the conversion support is complete.

#8 - 02/02/2017 03:48 PM - Hynek Cihlar

Runtime support for WINDOW-STATE has been committed to 3209e. Please note that the implementation is yet missing support for

WINDOW-DELAYED-MINIMIZE.

#9 - 12/19/2017 04:16 AM - Hynek Cihlar

- % Done changed from 0 to 10

#10 - 12/19/2017 04:17 AM - Hynek Cihlar

- % Done changed from 10 to 0
